Package org.spongepowered.asm.mixin.injection.selectors.dynamic

## Class DescriptorResolver

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.selectors.dynamic.DescriptorResolver

    public final class DescriptorResolver
    extends java.lang.Object

Utility class which contains the logic for resolving descriptors (`Desc` annotations) starting from an element and recursing up the tree of parent elements looking for a matching descriptor

### Field Summary

Fields
`static java.lang.String` `PRINT_ID` Special ID used to instruct the resolver to print its progress.

### Method Summary

All Methods Static Methods Concrete Methods
`static IResolvedDescriptor` `resolve​(java.lang.String id, ISelectorContext context)` Resolve the specified descriptor id starting at the specified context
`static IResolvedDescriptor` `resolve​(IAnnotationHandle desc, ISelectorContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PRINT_ID

    public static java.lang.String PRINT_ID

Special ID used to instruct the resolver to print its progress.

### Method Detail

#### resolve

    public static IResolvedDescriptor resolve​(IAnnotationHandle desc,
                                              ISelectorContext context)

#### resolve

    public static IResolvedDescriptor resolve​(java.lang.String id,
                                              ISelectorContext context)

Resolve the specified descriptor id starting at the specified context

Parameters:
  `id` - Id to resolve, can be empty if resolving by coordinate
  `context` - Selector context, usually from the source annotation
Returns:
  Resolution result